Bug 1358980 - Review Request: johnzon - Implementation of JSR-353
Summary: Review Request: johnzon - Implementation of JSR-353
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1343063
TreeView+ depends on / blocked
 
Reported: 2016-07-22 02:42 UTC by gil cattaneo
Modified: 2016-08-04 20:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-04 20:54:34 UTC
msimacek: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-07-22 02:42:15 UTC
Spec URL: https://gil.fedorapeople.org/johnzon.spec
SRPM URL: https://gil.fedorapeople.org/johnzon-0.9.4-1.fc23.src.rpm
Description: 
Apache Johnzon is a project providing an implementation of JsonProcessing and
a set of useful extension for this specification like an Object mapper,
some JAX-RS providers and a WebSocket module provides a basic integration with
Java WebSocket API (JSR 356).

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14973895

Comment 1 Michael Simacek 2016-07-25 10:24:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues
------
- Source0 is 404, the URL is missing .gz extension


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 4 files
     have unknown license. Detailed output of licensecheck in
     /home/msimacek/reviews/1358980-johnzon/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://www.apache.org/dist/johnzon/johnzon-0.9.4/apache-
     johnzon-0.9.4-src.tar
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in johnzon-
     javadoc , johnzon-jaxrs , johnzon-jsonb , johnzon-jsonb-api , johnzon-
     mapper , johnzon-maven-plugin , johnzon-parent , johnzon-websocket
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: johnzon-0.9.4-1.fc25.noarch.rpm
          johnzon-javadoc-0.9.4-1.fc25.noarch.rpm
          johnzon-jaxrs-0.9.4-1.fc25.noarch.rpm
          johnzon-jsonb-0.9.4-1.fc25.noarch.rpm
          johnzon-jsonb-api-0.9.4-1.fc25.noarch.rpm
          johnzon-mapper-0.9.4-1.fc25.noarch.rpm
          johnzon-maven-plugin-0.9.4-1.fc25.noarch.rpm
          johnzon-parent-0.9.4-1.fc25.noarch.rpm
          johnzon-websocket-0.9.4-1.fc25.noarch.rpm
          johnzon-0.9.4-1.fc25.src.rpm
johnzon-jaxrs.noarch: W: no-documentation
johnzon-jsonb.noarch: W: no-documentation
johnzon-jsonb-api.noarch: W: no-documentation
johnzon-mapper.noarch: W: no-documentation
johnzon-maven-plugin.noarch: W: no-documentation
johnzon-parent.noarch: W: no-documentation
johnzon-websocket.noarch: W: no-documentation
johnzon.src: W: invalid-url Source0: http://www.apache.org/dist/johnzon/johnzon-0.9.4/apache-johnzon-0.9.4-src.tar HTTP Error 404: Not Found
10 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
johnzon-parent.noarch: W: no-documentation
johnzon-maven-plugin.noarch: W: no-documentation
johnzon-jsonb.noarch: W: no-documentation
johnzon-websocket.noarch: W: no-documentation
johnzon-jsonb-api.noarch: W: no-documentation
johnzon-jaxrs.noarch: W: no-documentation
johnzon-mapper.noarch: W: no-documentation
9 packages and 0 specfiles checked; 0 errors, 7 warnings.



Requires
--------
johnzon-parent (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.felix:maven-bundle-plugin)
    mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
    mvn(org.apache.maven.plugins:maven-jar-plugin)
    mvn(org.apache.maven.plugins:maven-javadoc-plugin)
    mvn(org.apache.maven.plugins:maven-surefire-plugin)
    mvn(org.apache.rat:apache-rat-plugin)
    mvn(org.apache:apache:pom:)

johnzon-maven-plugin (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(javax.json:javax.json-api)
    mvn(org.apache.commons:commons-lang3)
    mvn(org.apache.johnzon:johnzon-mapper)
    mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
    mvn(org.apache.maven:maven-core)
    mvn(org.apache.maven:maven-plugin-api)

johnzon (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools

johnzon-jsonb (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.johnzon:johnzon-mapper)

johnzon-websocket (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.johnzon:johnzon-mapper)

johnzon-jsonb-api (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools

johnzon-jaxrs (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.johnzon:johnzon-mapper)

johnzon-mapper (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.apache.johnzon:johnzon-core)

johnzon-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
johnzon-parent:
    johnzon-parent
    mvn(org.apache.johnzon:johnzon:pom:)

johnzon-maven-plugin:
    johnzon-maven-plugin
    mvn(org.apache.johnzon:johnzon-maven-plugin)
    mvn(org.apache.johnzon:johnzon-maven-plugin:pom:)

johnzon:
    johnzon
    mvn(org.apache.johnzon:johnzon-core)
    mvn(org.apache.johnzon:johnzon-core:pom:)
    osgi(org.apache.johnzon.core)

johnzon-jsonb:
    johnzon-jsonb
    mvn(org.apache.johnzon:johnzon-jsonb)
    mvn(org.apache.johnzon:johnzon-jsonb:pom:)
    osgi(org.apache.johnzon.jsonb)

johnzon-websocket:
    johnzon-websocket
    mvn(org.apache.johnzon:johnzon-websocket)
    mvn(org.apache.johnzon:johnzon-websocket:pom:)
    osgi(org.apache.johnzon.websocket)

johnzon-jsonb-api:
    johnzon-jsonb-api
    mvn(org.apache.johnzon:jsonb-api)
    mvn(org.apache.johnzon:jsonb-api:pom:)

johnzon-jaxrs:
    johnzon-jaxrs
    mvn(org.apache.johnzon:johnzon-jaxrs)
    mvn(org.apache.johnzon:johnzon-jaxrs:pom:)
    osgi(org.apache.johnzon.jaxrs)

johnzon-mapper:
    johnzon-mapper
    mvn(org.apache.johnzon:johnzon-mapper)
    mvn(org.apache.johnzon:johnzon-mapper:pom:)
    osgi(org.apache.johnzon.mapper)

johnzon-javadoc:
    johnzon-javadoc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1358980
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6



APPROVED. Please fix the Source URL during the import.

Comment 2 gil cattaneo 2016-07-25 10:59:29 UTC
(In reply to Michael Simacek from comment #1)

> Issues
> ------
> - Source0 is 404, the URL is missing .gz extension

> APPROVED. Please fix the Source URL during the import.

Until a few days ago it was not present the source archive with the extension .gz

Spec URL: https://gil.fedorapeople.org/johnzon.spec
SRPM URL: https://gil.fedorapeople.org/johnzon-0.9.4-1.fc23.src.rpm

- update SOURCE0

Comment 3 gil cattaneo 2016-07-25 11:02:44 UTC
Thanks for the review!

create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/6617
https://admin.fedoraproject.org/pkgdb/package/requests/6618

Comment 4 Gwyn Ciesla 2016-07-25 13:53:27 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/johnzon

Comment 5 gil cattaneo 2016-07-25 14:52:04 UTC
Thanks!

Comment 6 Fedora Update System 2016-07-25 16:30:46 UTC
johnzon-0.9.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7fe0755f3d

Comment 7 Fedora Update System 2016-07-28 06:00:29 UTC
johnzon-0.9.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7fe0755f3d

Comment 8 Fedora Update System 2016-08-04 20:54:32 UTC
johnzon-0.9.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.